# esda.shape.isoperimetric_quotient

esda.shape.isoperimetric_quotient(collection)

  The Isoperimetric quotient, defined as the ratio of a polygon’s area to the area of the equi-perimeter circle.

  Parameters:
    collection `GeoSeries`, `GeoDataFrame`, `numpy.ndarray`, `list`

      Input collection of polygons.

  Returns:
    `numpy.ndarray`

      An array of the same length as the input collection, containing the Isoperimetric quotient for each polygon in the collection.

  Notes

  Altman’s \(PA_1\) measure [Alt98].

  The formula is given by:

  \[IPQ = \frac{4 \pi A}{P^2}\]

  Where \(A\) is the area of the polygon and \(P\) is the perimeter of the polygon.

  The \(IPQ\) is scale invariant and due to the inclusion of \(\pi\) in the formula, it is bounded between 0 and 1, with 1 representing a perfect circle, the most compact shape by this measure.